Page MenuHomePhabricator

Gallery perrow width is overestimated
Closed, ResolvedPublic

Description

default gallery results in galleryboxes of 155px wide, with 4 px of padding. That makes for 159 pixels. Times 4 results in 636 pixels. The maxwidth of the gallery is however 680 pixels, which is significantly more.


Version: unspecified
Severity: minor

Details

Reference
bz27577

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:25 PM
bzimport set Reference to bz27577.
TheDJ created this task.Feb 20 2011, 1:11 AM
TheDJ added a comment.Mar 14 2011, 9:08 PM

Caused by r77411

Fixed in r83965

It's underestimated now. I'm running on the 1.17 branch and I found I needed to change the maxwidth calculation to this to get the right number of columns:

$maxwidth = $this->mPerRow * ( $this->mWidths + self::THUMB_PADDING + self::GB_PADDING + self::GB_BORDERS + 1) + 1;

Confirmed. Your fix is not enough; it starts breaking with more than 7 again. Tricky

Fixed in r87266. Tested with perrow up to 15

Refixed in r91573

Gilles raised the priority of this task from Medium to Unbreak Now!.Dec 4 2014, 10:29 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Medium.Dec 4 2014, 11:22 AM
Restricted Application added a project: Commons. · View Herald TranscriptOct 18 2016, 8:22 PM
Restricted Application added a subscriber: Matanya. · View Herald Transcript